class MouseButtons:
    def __init__(self, button1: bool = False, button2: bool = False, button3: bool = False):
        self.buttons = button1 | button2 << 1 | button3 << 2

    @property
    def button1(self) -> bool:
        return (self.buttons & 1) != 0

    @property
    def button2(self) -> bool:
        return (self.buttons & 2) != 0

    @property
    def button3(self) -> bool:
        return (self.buttons & 4) != 0
